| GET | /RestApi/sitefinity/data-intelligence/settings |
|---|
import Foundation
import ServiceStack
public class DECSettingsRequestDto : Codable
{
required public init(){}
}
public class DECSettingsDto : Codable
{
public var isDecEnabled:Bool
public var accessKeyStrategyUsed:Bool
public var authorizationHeader:String
public var apiServerUrl:String
public var decAppUrl:String
public var dataCenterApiKey:String
public var licenseType:String
public var decAdminBackendPageUrl:String
public var contentAnalyticsApiKeys:[String] = []
required public init(){}
}
Swift DECSettingsRequestDto DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/data-intelligence/settings HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
IsDecEnabled: False,
AccessKeyStrategyUsed: False,
AuthorizationHeader: String,
ApiServerUrl: String,
DecAppUrl: String,
DataCenterApiKey: String,
LicenseType: String,
DecAdminBackendPageUrl: String,
ContentAnalyticsApiKeys:
[
String
]
}